Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.service.impl
Class IntraHubHCPartyServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.hub.service.impl.IntraHubHCPartyServiceImpl

All Implemented Interfaces:
  IntraHubHCPartyService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class IntraHubHCPartyServiceImpl

extends Object
implements IntraHubHCPartyService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation of `IntraHubHCPartyService` Extends : `IntraHubAbstract`

Constructor Summary
`IntraHubHCPartyServiceImpl()` needed for ModuleBootstrapHook.
`IntraHubHCPartyServiceImpl(IntraHubService hubService, HubReplyValidator validator)` Instantiates a new intra hub hc party service.

Method Summary
`void` | `bootstrap()`
`HCPartyAdaptedType` | `getHCParty(HCPartyIdType hcParty)` Gets the hC party.
`ConsentHCPartyType` | `getHCPartyConsent(HCPartyIdType hcPartyId)` Gets the hC party consent.
`HCPartyAdaptedType` | `putHCParty(HCPartyAdaptedType hcParty)` Put hc party.
`void` | `putHCPartyConsent(ConsentHCPartyType consent)` Put hc party consent.
`void` | `revokeHCPartyConsent(ConsentHCPartyType consent)` Revoke hc party consent.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntraHubHCPartyServiceImpl

    public IntraHubHCPartyServiceImpl(IntraHubService hubService,
                                      HubReplyValidator validator)
                               throws TechnicalConnectorException,
                                      IntraHubBusinessConnectorException

  Instantiates a new intra hub hc party service.

  Parameters:
    `hubService` - the hub service
    `validator` - the validator
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### IntraHubHCPartyServiceImpl

    public IntraHubHCPartyServiceImpl()

  needed for ModuleBootstrapHook. dont create service with this constructor.

Method Detail

### getHCParty

    public HCPartyAdaptedType getHCParty(HCPartyIdType hcParty)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubHCPartyService`
  Gets the hC party.

  Specified by:
    `getHCParty` in interface `IntraHubHCPartyService`
  Parameters:
    `hcParty` - the hc party
  Returns:
    the hC party
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubHCPartyService.getHCParty(be.fgov.ehealth.hubservices.core.v1.HCPartyIdType)`

### putHCParty

    public HCPartyAdaptedType putHCParty(HCPartyAdaptedType hcParty)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubHCPartyService`
  Put hc party.

  Specified by:
    `putHCParty` in interface `IntraHubHCPartyService`
  Parameters:
    `hcParty` - the hc party
  Returns:
    the hC party adapted type
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubHCPartyService.putHCParty(be.fgov.ehealth.hubservices.core.v1.HCPartyAdaptedType)`

### putHCPartyConsent

    public void putHCPartyConsent(ConsentHCPartyType consent)
                           throws TechnicalConnectorException,
                                  IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubHCPartyService`
  Put hc party consent.

  Specified by:
    `putHCPartyConsent` in interface `IntraHubHCPartyService`
  Parameters:
    `consent` - the consent
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubHCPartyService.putHCPartyConsent(be.fgov.ehealth.hubservices.core.v1.ConsentHCPartyType)`

### getHCPartyConsent

    public ConsentHCPartyType getHCPartyConsent(HCPartyIdType hcPartyId)
                                         throws TechnicalConnectorException,
                                                IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubHCPartyService`
  Gets the hC party consent.

  Specified by:
    `getHCPartyConsent` in interface `IntraHubHCPartyService`
  Parameters:
    `hcPartyId` - the hc party id
  Returns:
    the hC party consent
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubHCPartyService.getHCPartyConsent(be.fgov.ehealth.hubservices.core.v1.HCPartyIdType)`

### revokeHCPartyConsent

    public void revokeHCPartyConsent(ConsentHCPartyType consent)
                              throws TechnicalConnectorException,
                                     IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubHCPartyService`
  Revoke hc party consent.

  Specified by:
    `revokeHCPartyConsent` in interface `IntraHubHCPartyService`
  Parameters:
    `consent` - the consent
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubHCPartyService.revokeHCPartyConsent(be.fgov.ehealth.hubservices.core.v1.ConsentHCPartyType)`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.